Bug 564873

Summary: FTBFS bacula-5.0.0-1.fc13: ImplicitDSOLinking
Product: [Fedora] Fedora Reporter: FTBFS <ftbfs>
Component: baculaAssignee: Andreas Thienemann <andreas>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: 13CC: andreas, bruno, dnovotny, fschwarz, limburgher, mmcgrath, rvokal, vanmeeuwen+fedora
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://linux.dell.com/files/fedora/FixBuildRequires/mock-results/
Whiteboard:
Fixed In Version: bacula-5.0.1-1.fc13 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-03-27 16:52:17 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 564245    
Attachments:
Description Flags
root.log
none
build.log
none
mock.log
none
root.log
none
build.log
none
mock.log none

Description FTBFS 2010-02-13 12:10:47 EST
bacula-5.0.0-1.fc13.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
This failure is due to a change in the linker default behavior, which uncovered a fault in your package.  See http://fedoraproject.org/wiki/Features/ChangeInImplicitDSOLinking .
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)
Comment 1 FTBFS 2010-02-13 12:10:51 EST
Created attachment 392221 [details]
root.log

root.log for i386
Comment 2 FTBFS 2010-02-13 12:10:53 EST
Created attachment 392222 [details]
build.log

build.log for i386
Comment 3 FTBFS 2010-02-13 12:10:55 EST
Created attachment 392223 [details]
mock.log

mock.log for i386
Comment 4 FTBFS 2010-02-13 12:11:00 EST
Created attachment 392224 [details]
root.log

root.log for x86_64
Comment 5 FTBFS 2010-02-13 12:11:02 EST
Created attachment 392225 [details]
build.log

build.log for x86_64
Comment 6 FTBFS 2010-02-13 12:11:03 EST
Created attachment 392226 [details]
mock.log

mock.log for x86_64
Comment 7 Bug Zapper 2010-03-15 10:44:51 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Jon Ciesla 2010-03-18 12:13:38 EDT
Fixed in rawhide, update for F-13 on it's way.
Comment 9 Fedora Update System 2010-03-18 13:00:50 EDT
bacula-5.0.1-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/bacula-5.0.1-1.fc13
Comment 10 Fedora Update System 2010-03-22 22:09:00 EDT
bacula-5.0.1-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bacula'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/bacula-5.0.1-1.fc13
Comment 11 Bruno Wolff III 2010-03-27 16:52:17 EDT
This appears to be safe to close now.
Thanks for fixing things.
Comment 12 Fedora Update System 2010-04-08 23:51:07 EDT
bacula-5.0.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.